Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000596Dwarf FortressDwarf Mode -- Diplomacypublic2010-04-06 02:142012-04-14 19:21
ReporterWirrit 
Assigned ToToady One 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformPCOSWindows VistaOS VersionVista 64-bit
Product Version0.31.01 
Target VersionFixed in Version0.31.13 
Summary0000596: Humans' Diplomat is a demon, destroys all constructions it passes by, never initiates meeting
DescriptionFort was going fairly normally; no previous problems with diplomats. Fort population 77-78. Suddenly, I was greeted by this message:

"A lizard demonic diplomat from [human civ] has arrived."

Looking at the civs page, I discovered that one of their nobility ("Zakosp, Lawgiver") is apparently the new diplomat. On his way towards my fort, he took a few abrupt detours to punt small wildlife halfway across the map, demonstrating his might and periodically letting off clouds of "frozen lizard demonic extract" (referred to as 'deadly dust' in his description).

It occurred to me that he was going to want to have diplomatic discussions with one of my dwarves. ...but only after following them around for months. ...inside my fort. ...wherever that dwarf happened to decide to go...

When Zakosp got to the entrance of the fort, I discovered he had the 'destroy any constructions/buildings he walks near' trait. In the first 5-10 seconds of him going through the fort, I lost 3-6 floodgates, 2-5 workshops, and half a dozen or more doors. No people or pets, yet.

I have a save from just before he entered the fort, if that's any use.

But, er... ...Is this a feature? ...Or a bug?
...should diplomats be allowed to have fort-destroying powers?

Have reloaded the save a few times to analyze how he tends to behave. Every time thusfar, he's eventually (within 30 seconds) run into a pathing error when standing next to a door; and just sorta gets stuck there, doing nothing. Seems non-hostile, aside from all the property damage.
Steps To ReproduceRequires neighboring civs and worldgen to go a particular way; random chance.

1) Have a trading relationship with a civ that contains a demon
2) Have that civ decide to send demon as diplomat
Tagsdemon, diplomat, forgotten beast, liaison
Attached Files

- Relationships
parent of 0003086resolvedToady One Traders with building destroyer get confused when getting close to the fortress, slow down incredibly 
has duplicate 0001500closedFootkerchief Demonic law-giver is most awkward & breaking everything / buildingdestroyer & friendlies... 
has duplicate 0001515closedFootkerchief Diplomats that can destroy buildings trash your constructions 
has duplicate 0001698resolvedDwarfu Diplomat not leaving after conversations end 
has duplicate 0002876resolvedLogical2u Human civilization diplomat is demonic antelope humanoid 
related to 0003027new Diplomats not holding meetings 
related to 0003347new Demonic diplomat emits noxious secretions and kills dwarves 
related to 0005937resolvedToady One Hauler with bin wanders in circles 

-  Notes
(0001388)
Silverionmox (reporter)
2010-04-06 02:27

The solution probably is to restyle the destruction of buildings to a conscious, hostile action rather than an intrinsic property.
(0001436)
DoctorZuber (reporter)
2010-04-06 07:24

this is not a bug. this is a feature request.

I realize there is a feature button here, but that is simply because mantis is a canned product that is being used to track bugs for dwarf fortress.

The correct place for feature requests is on the suggestion page at the official forums here.
http://www.bay12games.com/forum/index.php?board=5.0 [^] [^]
(0001439)
derigo (reporter)
2010-04-06 07:32

rofl!

That's...awesome!
(0001457)
Secone (reporter)
2010-04-06 08:18

DoctorZuber, this does not seem at all like a feature request to me. However, it certainly seems awesome.
(0001497)
Footkerchief (manager)
2010-04-06 09:43

Yeah, multiple aspects of this issue could be bugs. Also it is too awesome to close just yet.
(0001612)
Wirrit (reporter)
2010-04-06 16:55

DoctorZuber: Actually, no, it's not intended as a request -- I'm reporting it here because I'm not sure if he foresaw that this sort of situation would come up. I just marked it as 'feature' because it's right on that fuzzy border zone between "interesting challenge" and "destructive force that occupies your fort for months and cannot be attacked nomatter what they do, due to diplomatic immunity".

Additional updates :

- Zakosp The Lawgiver seems to reliably run into pathing problems, and will get stuck on doors within my fortress instead of following anyone around. Has occurred every time thusfar, on two seperate doors. One of them was near a meeting area, one was not.

- I can give my squads orders to attack the Lawgiver (which do show up on the squad screen, and individual dwarves' task lists), but these orders are ignored and they don't actually come anywhere near him. I only tried this while he was stuck. However, if I tell them to Move to his location, they have no problems getting there, and surround him easily. ...not attacking anything.

- At game start, all 3 nearby civilizations had 6 or less nobles / important people listed on their Civ screen. When The Lawgiver arrived on the map, I noticed that his civ's noble list had dropped down to 2-4 people. During one of my play-to-see-what-happens tests, I later (a few in-game days or a month after The Lawgiver's arrival) discovered the list had dropped down to 2 people. I am not certain what exactly is causing this (feature or bug), or if it is relevant.
(0002228)
Ghoulz (reporter)
2010-04-08 19:42
edited on: 2010-04-08 19:43

To be fair, any civilization with half a brain wouldn't choose a rampaging lizard demon to act as a friendly diplomat with the intent of reaching peaceful negotiations. If Dwarf Fortress seeks to be realistic, then situations like this should be avoided by the game.

(0002238)
SirPenguin (reporter)
2010-04-08 20:14

His existence isn't a problem. He rose to the ranks with trickery and deception; he's the one who chose to be a diplomat to the humans, not the other way around.

The problem is his attacker traits aren't properly shutting off.
(0002254)
DoctorZuber (reporter)
2010-04-08 21:15
edited on: 2010-04-08 21:22

sorry, I didn't read closely enough apparently. I think when I saw this the first time my brain somehow linked feature request and your title and thought you were asking for killer demonic diplomats as a feature. So let me start again.

He did WHAT!?

Are you allowed to attack the "diplomat" ?

P.S. This is by far the dwarfiest thing I've heard yet.

(0002414)
Squirrelloid (reporter)
2010-04-09 13:35

Win.

Can he meet with your leader at all? Won't he just wreck the throne, causing the noble's office to stop existing? I mean, if anything here is clearly a bug, its that he'll deconstruct any room he tries to be in that's designated from furniture, which means your noble will never finish his meeting with him (if it ever starts!)
(0002466)
Wirrit (reporter)
2010-04-09 17:04
edited on: 2010-04-09 17:15

Gave Zakosp another try. Had a play-by-play here, but the software ate it and I forgot to save a backup of the description.

Summary:

*) Zakosp hates doors, but LOVES dancing.
*) He will methodically destroy any dwarven place of residence. Up to and including charging into a dwarven child's room, snatching their bed, destroying it, and then leaving. This appears not to leave bad thoughts ?
*) Zakosp can be freed from his dancing by digging out or removing nearby structures (walls, doors, etc). He occasionally manages to free himself.
*) He destroyed a workshop that a mood-dwarf was using, causing the dwarf to go mad and attack him. The dwarf lost quickly, and Zakosp is just fine. Zakosp seems to remain non-hostile.
*) Will report back again, if Zakosp ever goes mad, leaves unhappy, or manages to have a meeting.
*) Interestingly, Zakosp doesn't seem to be following anyone around, that I can tell...

Video here: http://mkv25.net/dfma/browsemovies.php?fortressName=Zakosp%2C+Demonic+Diplomat [^]

Video one is mostly dancing. Video 3 ( http://mkv25.net/dfma/movie-2112-zakospthelawgiverpt3 [^] ) is most relevant.

(0002468)
SirPenguin (reporter)
2010-04-09 17:12

I can't stop fucking laugh, holy shit. When he was methodically going into each bedroom and destroying it (only to later dance with a cat) I just lost it.

This is the greatest thing I've ever seen
(0002470)
DoctorZuber (reporter)
2010-04-09 17:24

This is by far the dwarfiest thing I have ever seen. This is great stuff Wirrit. We've got to get this linked up on the wiki and immortalized or something. ;)

As for troubleshooting, If you're putting up videos I'd be surprised if you haven't already backed up the save and stashed it someplace safe.

Meanwhile, I'm going to go watch the rest of the videos and laugh my head off. If you don't see me around again, Assume I died happy. ;P
(0002791)
DrunkenWizard (reporter)
2010-04-11 06:17

I am experiencing the same problem. The hedgehog demon in my fort doesn't seem to want to meet with anyone, so it seems like he's just going to wander around breaking things until he either leaves or goes insane. At least if he goes insane I can kill him :/ I can provide the save file if anyone's interested.
(0002857)
Wirrit (reporter)
2010-04-11 12:37

Have had Zakosp around for nearly a year now in one save -- still no sign of going for a meeting.

Speculation: Could this be because of something like an [emotionless] tag? Doesn't get any happiness from doing his job, so doesn't do it. DOES get some equivalent of happiness from destroying things, so that's all he does. May be immune to going mad, too, so may or may not ever do that (still testing).
(0002864)
Footkerchief (manager)
2010-04-11 12:54

Nah, the AI isn't that sophisticated. There's a chance he lacks the CAN_SPEAK tag or something, though.
(0003198)
Wirrit (reporter)
2010-04-12 20:59

Upgraded to 31.03 -- No change in Zakosp's behaviour or pathing.
(0003267)
IronValley (reporter)
2010-04-13 08:55

This is the old "friendlies with buidingdestroyer" all over again. The problem now is that you can't just remove buildingdestroyer from the raws...
(0003961)
RusAnon (reporter)
2010-04-17 02:35
edited on: 2010-04-17 02:36

Not sure if i should open a new ticket, since it seems to be caused by same issue.
So I had same situation human's diplomat was (now its dead) a demon.
He came to my fortress, destroying half of my defence installations on his way.
Then he suddenly stuck near trade depot.

In few monthes after that, i received announce that he left unhappy. But, he was still standing in the same spot, not moving.
Few seasons later, he went insane and i had to kill him.

Humans seem to not mind that, and still send me caravans, so i'm not sure i should care about that, but i hate to repair vertical bars and re-link them to levers.

Version 31.03 here. It came into fortress after update to .03

(0003964)
Proteus (reporter)
2010-04-17 04:24
edited on: 2010-04-17 04:25

Maybe it has to do with his emotional attributes...
Maybe something like:


Zakosp, Lawgiver, loves to dance.
He hates beds for their woodiness, doors for their blocking properties, meetings for their dullness and speaking for its sound producing properties.

:D

(0004165)
clamity (reporter)
2010-04-18 19:42
edited on: 2010-04-19 04:34

I am having a similar issue... I have a diplomat from one of the animal-men (amphibian in my case) who just barrels through my fort destroying everything... he actually seems to try to go to the meeting, but he destroys the office of my count when he goes into the room.

EDIT: Actually, I was wrong. The diplomat is for the human civilization and was specifically called a 'chameleon devilish diplomat'... I had been confused as there is a 'unnamed amphibian man' civilization that I have yet to have contact with.

(0004177)
ilmoran (reporter)
2010-04-18 20:57

Hmm, if you want to get rid of the building-destroying diplomat, you could try placing a support, digging out a 5x5 platform on top of the support, and waiting for him to come destroy it :)
(0004190)
Khym Chanur (reporter)
2010-04-18 23:27

Heh, that's the first time I've heard suggested arranging an "unfortunate accident" for a creature from another civilization.
(0005051)
Myxine (reporter)
2010-04-25 16:12

It seems demons who took over a human group won't turn their own city into rubble.
(One of them was soundly sleeping in his little hovel while my adventurer hacked him to bits for something like two hours. I'm pretty sure demons had NO_SLEEP, so maybe it's scripted for "human" citizens to sleep at night.)
(0005108)
Trowzers (reporter)
2010-04-26 05:01

I have this same issue - except mine appears to be a forgotten beast with deadly dust. Fortunately the dust has not seemed to have done anything yet, and she's now stuck next to a door near my bone stockpile, after destroying about a dozen doors and all my craftdwarves workshops. I guess I will keep an eye out for suspicious deaths!
My fort was started in version 31.03
(0005118)
DoctorZuber (reporter)
2010-04-26 07:44
edited on: 2010-04-26 07:44

Zakosp's pathing didn't improve with 31.03 ?

(0005758)
Wirrit (reporter)
2010-04-30 12:02

Trowzers : Deadly dust, huh? Wait a season or three, and tell me if you start seeing mysterious fevers+numbness among the animals (and later, dwarves) in your fort? It's not relevant to any bugs I'm pretty sure, I'm just curious if he's the source for that.
(0005770)
Hugna (reporter)
2010-04-30 13:52

If a demon becomes a diplomat, he should at least not DESTROY EVERYTHING if he's going to go be a diplomat. Maybe i dunno, ask for stuff in return for the town to not destroy yours. As for a civilization with a demon diplomat... i never had one, but 40d had it enough times on the forums. So it seems it wasn't fixed.
(0006084)
RusAnon (reporter)
2010-05-04 03:53

This brings one more problem.
If human demon diplomat comes first, and dwarven liaison second, mayor will be stuck in never-initiated meeting with demon, so liaison has no chance for his meeting too.

I have save file with both of them at my fort, with mayor stuck in 'Conduct meeting' few blocks away from the demon, if needed.
(0006639)
Beeskee (reporter)
2010-05-13 08:18

I have this too, a demonic law-giver showed up, breaking everything in the fort and claiming diplomatic immunity heh. As if my military could stop him anyway.
(0006648)
Beeskee (reporter)
2010-05-13 11:37

I've let it run for a while and the baron TRIES to conduct a meeting with him but the demon hangs out 2 z-levels above the baron's office, near my well. I've just tried making a new office for the baron, we'll see if that helps. ... nope, demon hangs out at same spot. Note to self, build supports holding up small stand alone sections of flooring around the perimeter of the next fort. :D
(0006677)
Beeskee (reporter)
2010-05-13 23:38
edited on: 2010-05-14 12:02

I managed to wall the demon in, though the noble kept getting unhappy thoughts from being unable to conduct the meeting.

I then flooded the room with water and it didn't drown. :( I'm a little disappointed, my first time trying to drown something and it doesn't work. The room is 7/7 full of water and the demon is fine after a year. Nothing in the demon's description says it doesn't need air to live.


Could we get this (edit: the demon breaking stuff, not the part about drowning) reclassified from "feature" to "bug" please?

Edit: I was able to catch the demon due to it getting enamored with a traction bench. Hopefully this information helps others in capturing these things for the time being.

(0007058)
Keldor314 (reporter)
2010-05-20 04:22

Most likely, the diplomat is dancing about because he doesn't have the [CAN_OPEN_DOORSS] tag. Poor thing has to bash down any door it comes across just to get through...
(0007583)
ChickenLips (reporter)
2010-06-02 15:14

I can confirm it on .04. Got a sloth demon named Othri Pestratkamca for my human diplomat, emitting noxious secretions. It was very helpful in literally biting the head off a kobold thief, but, eh, this does not mean I like him touring the bedrooms...
(0008049)
Put (reporter)
2010-06-10 07:37

Hey give the poor giant guy a break, he's not used to all these cramped tunnels. He can't help but flail his tail into your workshops.
(0010803)
fanatic (reporter)
2010-07-21 23:58

Issue still present in 31.10 . He destroyed the depot the human caravan was in. Now that's diplomacy...
(0010845)
MaDeR Levap (reporter)
2010-07-22 11:58

How much time can take adding one if to code???
(0010855)
RusAnon (reporter)
2010-07-22 20:57

As per http://www.bay12forums.com/smf/index.php?topic=62124.0 [^] this is also the case when you embark on human settlement, which is being run by demon.
Demon crushes his own basement and his own settlement. Now THATS a law-giving.
(0011054)
cognitive (reporter)
2010-07-25 21:44

just had this happen with a "chameleon dervish" diplomat. first thing he did was try to walk through a door, it exploded. then it did a quick 180 and obliterated my trade depot, security was called.
(0011056)
DoctorZuber (reporter)
2010-07-25 22:46

Good ol' Zakosp still up to his same old tricks I see? I admit I'm almost be a bit sad when this bug is finally patched. We will still have the videos and the memories however. ;)
(0011502)
Torgan (reporter)
2010-08-04 15:17

Just had this happen in .12 as well, Human Law-Giver turns up who is a towering tortoise with noxious secretions, he knocked down some workshops outside but doesn't seem to be able to get past my locked or unlocked doors.
(0011647)
Hadoken (reporter)
2010-08-09 00:06

This also happened to me in 0.31.12. Lushòb, law-giver, a lizard fiend diplomat from the human civ. Destroyed one workshop on the way in and is now endlessly running up and down a flight of stairs.
(0012467)
Toady One (administrator)
2010-09-07 02:52

The basic toppling issue is resolved for 0.31.13, and the demon appears to have proper meetings. As for the fact that the demon pretending to be a god of the humans comes by and chats about how nice your fort is and stuff, we'll have to get to that later when they can realize a bit of their dignity.

- Issue History
Date Modified Username Field Change
2010-04-06 02:14 Wirrit New Issue
2010-04-06 02:24 Aquillion Tag Attached: demon
2010-04-06 02:24 Aquillion Tag Attached: diplomat
2010-04-06 02:25 Aquillion Tag Attached: liaison
2010-04-06 02:27 Silverionmox Note Added: 0001388
2010-04-06 07:24 DoctorZuber Note Added: 0001436
2010-04-06 07:32 derigo Note Added: 0001439
2010-04-06 08:18 Secone Note Added: 0001457
2010-04-06 09:43 Footkerchief Note Added: 0001497
2010-04-06 16:55 Wirrit Note Added: 0001612
2010-04-08 19:42 Ghoulz Note Added: 0002228
2010-04-08 19:43 Ghoulz Note Edited: 0002228 View Revisions
2010-04-08 20:14 SirPenguin Note Added: 0002238
2010-04-08 21:15 DoctorZuber Note Added: 0002254
2010-04-08 21:20 DoctorZuber Note Edited: 0002254 View Revisions
2010-04-08 21:22 DoctorZuber Note Edited: 0002254 View Revisions
2010-04-09 04:01 Khym Chanur Issue Monitored: Khym Chanur
2010-04-09 13:12 Gafgar Issue Monitored: Gafgar
2010-04-09 13:35 Squirrelloid Note Added: 0002414
2010-04-09 15:27 Phydaux Issue Monitored: Phydaux
2010-04-09 17:04 Wirrit Note Added: 0002466
2010-04-09 17:12 SirPenguin Note Added: 0002468
2010-04-09 17:15 Wirrit Note Edited: 0002466 View Revisions
2010-04-09 17:24 DoctorZuber Note Added: 0002470
2010-04-09 17:30 Felblood Issue Monitored: Felblood
2010-04-09 17:44 Felblood Tag Attached: forgotten beast
2010-04-11 06:17 DrunkenWizard Note Added: 0002791
2010-04-11 12:37 Wirrit Note Added: 0002857
2010-04-11 12:54 Footkerchief Note Added: 0002864
2010-04-12 20:59 Wirrit Note Added: 0003198
2010-04-13 08:55 IronValley Note Added: 0003267
2010-04-13 09:07 Footkerchief Summary Humans' Diplomat is a demon; destroys all constructions it passes by => Humans' Diplomat is a demon, destroys all constructions it passes by, never initiates meeting
2010-04-17 02:35 RusAnon Note Added: 0003961
2010-04-17 02:35 RusAnon Issue Monitored: RusAnon
2010-04-17 02:36 RusAnon Note Edited: 0003961 View Revisions
2010-04-17 04:24 Proteus Note Added: 0003964
2010-04-17 04:25 Proteus Note Edited: 0003964 View Revisions
2010-04-18 19:42 clamity Note Added: 0004165
2010-04-18 19:42 clamity Issue Monitored: clamity
2010-04-18 20:13 clamity Note Edited: 0004165 View Revisions
2010-04-18 20:57 ilmoran Note Added: 0004177
2010-04-18 23:27 Khym Chanur Note Added: 0004190
2010-04-19 04:34 clamity Note Edited: 0004165 View Revisions
2010-04-25 02:09 Footkerchief Relationship added has duplicate 0001500
2010-04-25 09:31 Footkerchief Relationship added has duplicate 0001515
2010-04-25 16:12 Myxine Note Added: 0005051
2010-04-26 05:01 Trowzers Note Added: 0005108
2010-04-26 07:44 DoctorZuber Note Added: 0005118
2010-04-26 07:44 DoctorZuber Note Edited: 0005118 View Revisions
2010-04-30 04:55 zooeyglass Issue Monitored: zooeyglass
2010-04-30 04:55 zooeyglass Issue End Monitor: zooeyglass
2010-04-30 12:02 Wirrit Note Added: 0005758
2010-04-30 13:52 Hugna Note Added: 0005770
2010-05-02 15:46 Logical2u Relationship added related to 0001698
2010-05-04 03:53 RusAnon Note Added: 0006084
2010-05-13 08:18 Beeskee Note Added: 0006639
2010-05-13 11:37 Beeskee Note Added: 0006648
2010-05-13 23:38 Beeskee Note Added: 0006677
2010-05-14 12:02 Beeskee Note Edited: 0006677 View Revisions
2010-05-20 04:22 Keldor314 Note Added: 0007058
2010-05-23 20:42 Beeskee Issue Monitored: Beeskee
2010-05-30 07:23 Hieronymous Alloy Issue Monitored: Hieronymous Alloy
2010-06-02 15:14 ChickenLips Note Added: 0007583
2010-06-10 07:23 Kyle_Solo Issue Monitored: Kyle_Solo
2010-06-10 07:37 Put Note Added: 0008049
2010-06-10 07:38 Put Issue Monitored: Put
2010-06-15 06:13 Conti Issue Monitored: Conti
2010-07-21 23:58 fanatic Note Added: 0010803
2010-07-22 09:59 Jinalealia Issue Monitored: Jinalealia
2010-07-22 11:58 MaDeR Levap Note Added: 0010845
2010-07-22 20:57 RusAnon Note Added: 0010855
2010-07-23 03:17 burlingk Issue Monitored: burlingk
2010-07-23 04:28 Antiscient Issue Monitored: Antiscient
2010-07-25 21:44 cognitive Note Added: 0011054
2010-07-25 22:46 DoctorZuber Note Added: 0011056
2010-07-28 13:00 Logical2u Relationship added has duplicate 0002876
2010-08-04 15:17 Torgan Note Added: 0011502
2010-08-09 00:06 Hadoken Note Added: 0011647
2010-08-14 17:01 Dwarfu Relationship added related to 0003027
2010-08-22 09:06 Footkerchief Relationship added related to 0003086
2010-09-07 02:52 Toady One Note Added: 0012467
2010-09-07 02:52 Toady One Status new => resolved
2010-09-07 02:52 Toady One Fixed in Version => 0.31.13
2010-09-07 02:52 Toady One Resolution open => fixed
2010-09-07 02:52 Toady One Assigned To => Toady One
2010-09-07 04:49 Hieronymous Alloy Issue End Monitor: Hieronymous Alloy
2010-09-10 11:27 Ancient_miner Issue Monitored: Ancient_miner
2010-09-15 11:33 Conti Issue End Monitor: Conti
2010-09-25 09:50 Logical2u Relationship replaced parent of 0003086
2010-09-27 06:42 burlingk Issue End Monitor: burlingk
2010-10-04 09:00 Footkerchief Relationship added related to 0003347
2010-10-11 05:23 Put Issue End Monitor: Put
2010-10-14 07:53 Khym Chanur Issue End Monitor: Khym Chanur
2010-11-02 13:36 Zanethda Issue Monitored: Zanethda
2011-10-27 01:43 Kogut Issue Monitored: Kogut
2012-04-03 15:56 Dwarfu Relationship replaced has duplicate 0001698
2012-04-03 15:56 Dwarfu Issue Monitored: Footkerchief
2012-04-14 19:21 Felblood Issue End Monitor: Felblood
2012-05-27 11:48 Footkerchief Relationship added related to 0005937


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker